[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

apt-proxy-import



Hi,
I have been using apt-get to directly to the debian mirrors but now want to use apt-proxy so that other computers on my network won't have to download what I already have (very long download on my ~10KBps sloowww dsl)
When I use "# apt-proxy-imprort -i /var/cache/apt/archives", I get the following error message (I quit with Ctrl+C so it wouldn't be so long, but it lists *all* my packages in /var/cache/apt/archives as being errors):

------------------------------

keziah:~# apt-proxy-import -i /var/cache/apt/archives
Updating twisted's process module.
No updating required.
2005/04/17 11:18 MDT [-] Log opened.
2005/04/17 11:18 MDT [-] [apt_pkg] Loading Packages database for /var/cache/apt-proxy/.apt-proxy/backends/ubuntu-security
2005/04/17 11:18 MDT [-] [apt_pkg] Loading Packages database for /var/cache/apt-proxy/.apt-proxy/backends/security
2005/04/17 11:18 MDT [-] [apt_pkg] Loading Packages database for /var/cache/apt-proxy/.apt-proxy/backends/ubuntu
2005/04/17 11:18 MDT [-] [apt_pkg] Loading Packages database for /var/cache/apt-proxy/.apt-proxy/backends/debian
2005/04/17 11:18 MDT [-] [apt_pkg] Loading Packages database for /var/cache/apt-proxy/.apt-proxy/backends/debian-non-US
2005/04/17 11:18 MDT [-] [import] discover1-data_1.2005.03.29_all.deb skipped -no suitable backend found
2005/04/17 11:18 MDT [-] [import] kdeadmin_4%3a3.3.2-1_all.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] kdebase-bin_4%3a3.3.2-1_i386.deb skipped - nosuitable backend found
2005/04/17 11:18 MDT [-] [import] libkcddb1_4%3a3.3.2-1_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] festlex-poslex_1.4.0-5_all.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] sgml-base_1.26_all.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] python2.3-libxml2_2.6.16-6_i386.deb skipped -no suitable backend found
2005/04/17 11:18 MDT [-] [import] kdeartwork-misc_4%3a3.3.2-1_all.deb skipped -no suitable backend found
2005/04/17 11:18 MDT [-] [import] Ignoring (unknown file type):lock
2005/04/17 11:18 MDT [-] [import] kdessh_4%3a3.3.2-1_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] kmailcvt_4%3a3.3.2-3_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] lincity_1.12.1-1_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] libxml2-python2.3_2.6.16-6_i386.deb skipped -no suitable backend found
2005/04/17 11:18 MDT [-] [import] kuickshow_4%3a3.3.2-2_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] libwmf0.2-7_0.2.8.3-2_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] libblkid1_1.37-2_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] lskat_4%3a3.3.2-1_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] ktnef_4%3a3.3.2-3_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] kfind_4%3a3.3.2-1_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] libmodplug0_1%3a0.7-4_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] xviewg_3.2p1.4-19_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] khelpcenter_4%3a3.3.2-1_i386.deb skipped - nosuitable backend found
2005/04/17 11:18 MDT [-] [import] kruler_4%3a3.3.2-1_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] file_4.12-1_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] dash_0.5.2-4_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] ksync_4%3a3.3.2-3_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] libxmuu1_4.3.0.dfsg.1-12.0.1_i386.deb skipped- no suitable backend found
2005/04/17 11:18 MDT [-] [import] cervisia_4%3a3.3.2-3_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] ksysv_4%3a3.3.2-1_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] libvorbis0a_1.1.0-1_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] libgtk1.2_1.2.10-17_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] kamera_4%3a3.3.2-2_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] libice6_4.3.0.dfsg.1-12.0.1_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] libboost-python1.32.0_1.32.0-6_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] [import] wget_1.9.1-10_i386.deb skipped - no suitable backend found
2005/04/17 11:18 MDT [-] Traceback (most recent call last):
2005/04/17 11:18 MDT [-]   File "/usr/sbin/apt-proxy-import", line 99, in ?
2005/04/17 11:18 MDT [-]     packages.import_directory(factory, import_dir, recurse)
2005/04/17 11:18 MDT [-]   File "/usr/lib/python2.3/site-packages/apt_proxy/packages.py", line 291, in import_directory
2005/04/17 11:18 MDT [-]     import_file(factory, dir, file)
2005/04/17 11:18 MDT [-]   File "/usr/lib/python2.3/site-packages/apt_proxy/packages.py", line 318, in import_file
2005/04/17 11:18 MDT [-]     info = AptDpkgInfo(dir+'/'+file)
2005/04/17 11:18 MDT [-]   File "/usr/lib/python2.3/site-packages/apt_proxy/packages.py", line 38, in __init__
2005/04/17 11:18 MDT [-]     self.control = apt_inst.debExtractControl(filehandle)
2005/04/17 11:18 MDT [-] KeyboardInterrupt
keziah:~#

------------------------------

the error seems to be "no suitable backend found" - what does that mean?
I really need to transfer this cache, or I the other computers will have to flood my connection for days....
Thanks,
 Keziah


Reply to: